Subject: Re: bug#70236: Truncating only happening on 900 character long lines in *compilation* buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Apr 2024 18:45:51 +0300

> Cc: [email-masked], [email-masked]
> Date: Sat, 13 Apr 2024 17:31:27 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Sun, 14 Apr 2024 01:09:58 +1200
> > From: Phil Sainty <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > On 2024-04-14 00:04, Eli Zaretskii wrote:
> > > Feel free to fix as you see fit, and thanks in advance.
> > 
> > I've pushed commit f950621e6a177fc3110f3dec7c92b7d499fd25d6 to
> > resolve that.  It's working correctly for the reported test case
> > so far as I can see.
> 
> Thanks!

Btw, wrt the issue of "magic 900 characters": I think it was just
sheer luck: the process filter got called when the process output did
not include the newline, and thus the bug was not triggered.  IOW,
this has something to do with buffering.